import axios from "../../utils/request";

export function getPlaceDetailList(params) {
  return axios({
    url: "/spms/inv/product/getPlaceDetailList",
    method: "get",
    params: params
  });
}

export function bindInvSpace(data) {
  return axios({
    url: "/spms/inv/product/bindInvSpace",
    method: "post",
    data: data
  });
}

export function unbindInvOrderSpace(data) {
  return axios({
    url: "/spms/inv/product/unbindInvOrderSpace",
    method: "post",
    data: data
  });
}

export function bindInvOrderSpace(data) {
  return axios({
    url: "/spms/inv/product/bindInvOrderSpace",
    method: "post",
    data: data
  });
}

export function checkCodeSpace(data) {
  return axios({
    url: "/spms/inv/product/checkCodeSpace",
    method: "post",
    data: data
  });
}

export function getInvProductInfo(params) {
  return axios({
    url: "/spms/inv/product/getInvProductInfo",
    method: "get",
    params: params
  });
}

export function getInvProductOutInfo(params) {
  return axios({
    url: "/spms/inv/product/getInvProductOutInfo",
    method: "get",
    params: params
  });
}

export function getCheckInvProductInfo(params) {
  return axios({
    url: "/spms/inv/product/getCheckInvProductInfo",
    method: "get",
    params: params
  });
}

export function getInvProductOrderInfo(params) {
  return axios({
    url: "/spms/inv/product/getInvProductOrderInfo",
    method: "get",
    params: params
  });
}

export function getInvPlaceOrderList(params) {
  return axios({
    url: "/spms/inv/product/getInvPlaceOrderList",
    method: "get",
    params: params
  });
}

export function getInvPlaceOrderDetailList(params) {
  return axios({
    url: "/spms/inv/product/getInvPlaceOrderDetailList",
    method: "get",
    params: params
  });
}

